// JavaScript Document
function checkboot(){
	var sch_boot = $('input[name=sch_boot]').attr("checked");
	if(sch_boot){
		$('#schedule_list').find("select,input").removeAttr("disabled");
		$('#schebox').find('p').each(function(){
			var _self = this;
			$(this).children('.poweraddbtn').unbind('click').click(function(){
				addItem(1);
			});
			$(this).children('.powerdelbtn').unbind('click').click(function(){
				removeItem(_self);
			});
			$(this).children('.powerclosebtn').show().click(function(){
				$(this).siblings('[name^=o]').each(function(){
					$(this).val(100);
				});
			});
		});
	}else{
		$('#schedule_list').find("select,input").attr("disabled","disabled");
		$('#schebox > p').find('em').unbind('click');
		$(this).children('.powerclosebtn').unbind('click').hide();
	}
}

function reboot(obj){
	var retips = $('[name=retips]').val();
	if(confirm(retips)){
		loadpage_notab('powerbox','systable','restart');
	}
}
function shutdown(obj){
	var shtips = $('[name=shtips]').val();
	if(confirm(shtips)){
		loadpage_notab('powerbox','systable','shutdown');
	}
}

function addItem(){
	var arg = arguments[0] ? arguments[0] : 1 ;
	var delbtn = arguments[1] ? arguments[1] : false ;
	var yuanshi = $('#yuanbox');
	var line ='';
	for(i=0;i<arg;i++){ line += yuanshi.html();}
	$('#schebox').append(line);
	$('#schebox').find('p:not([rel])').each(function(){
		var _self = this;
		$(this).children('.poweraddbtn').unbind('click').click(function(){
			addItem(1);
		});
		if(!delbtn){
			$(this).children('.powerclosebtn').hide();
			$(this).children('.powerdelbtn').unbind('click').click(function(){
				removeItem(_self);
			});
		}else{
			$(this).children('.powerdelbtn').hide();
			$(this).children('.powerclosebtn').show().click(function(){
				$(this).siblings('[name^=o]').each(function(){
					$(this).val(100);
				});
			});
		}
	});
	$('p:not([rel])').children('[name=sort_date]').change(function(){
		changedata(this);
	});
	changedata();
}
function removeItem(obj){
	if($(obj).siblings('p').length > 0){
		$(obj).remove();
	}
}
function changedata(){
	var week = $('#schebox > p:last').children('[name=sort_date]');
	var obj = arguments[0] ? $(arguments[0]) : week ;
	var tps = $('p[rel="'+obj.val()+'"]');
	if(tps.length >= 0 && tps.length < 8){
		var normal = [];
		var posArr = [0,1,2,3,4,5,6,7];//常用的内存位置...
		for(i=0;i<tps.length;i++){
			var pos = tps.eq(i).children('[name=position]').val();
			normal.push(pos);//把所有当天的位置储存起来...
		}
		var newArr = minus(posArr,normal);//求两个数组的差集...
		if(newArr.length > 0){
			obj.siblings('[name=position]').val(newArr[0]);
		}else{
			obj.parent('p').remove();
		}
	}
	obj.parent('p').attr('rel',obj.val());
}

function savePower(obj){
	var PowerMethod = $('[name=PowerMethod]:checked').val();
	var sch_boot = $('[name=sch_boot]').attr('checked');
	var enBeep = $('[name=enBeep]').attr('checked');
	var ps = $('#schebox p');
	var data = {}, box = new Array();
	data.mailfunction = 2;
	data.power = PowerMethod;
	data.sch_swit = 0;
	data.beep = 0;
	if(enBeep){
		data.beep = 1;
		var beepMethod = $('[name=beepMethod]:checked').val();
		var bTimes = $('[name=beepTimes]');
		if(beepMethod == 1){
			data.beepTimes = 0;
		}else{
			data.beepTimes = (bTimes.val()=='') ? 5 : bTimes.val();
		}
	}
	if(sch_boot){
		data.sch_swit = 1;
		ps.each(function(){
			var position = $(this).children('[name=position]').val();	
			var sortdate = $(this).children('[name=sort_date]').val();
			var onhour = $(this).children('[name=on_hour]').val();
			var onminute = $(this).children('[name=on_minute]').val();
			var offhour = $(this).children('[name=off_hour]').val();
			var offminute = $(this).children('[name=off_minute]').val();
			if(position != ''){
				box.push(sortdate+'-'+position+'-'+onhour+'-'+onminute+'-'+offhour+'-'+offminute);
			}
		});
	}
	data.Scheme = box.join(",");
	saveStat(obj);
	$.post('/include/ajax/ajaxdata.php', data, function(rel){
		removeStat(obj);
		window.location.reload();
	});	
}

function saveHard(obj){
	var data = {};
	data.Hardset = 1;
	var Fanspeed = 0;
	if(Fanspeed == "auto"){
		data.Fantype = 1;
	}else{
		data.Fantype = 0;
		data.Fanspeed = Fanspeed;
	}
	saveStat(obj);
	$.ajax({
		type:"POST",
		url:"/include/ajax/ajaxdata.php",
		data: data,
		success:function(rel){			
			removeStat(obj);
			alert(rel); window.location.reload();
		}
	});
	
}