// JavaScript Document
function selectdev(name,id){
	var showobj = arguments[2] ? arguments[2] : null ;
	var option = $('select[name='+name+'] option:selected');
	$('#'+id).html(option.attr('rel'));
	//判断usb文件系统格式是否正确
	if(name == 'dev_list') $('[name=FileSystem]').val(option.attr('format'));
	if(option.val() == 2 && showobj != null){
		$('#'+showobj).show();
	}else{
		$('#'+showobj).hide();
	}
}

function moveobj(source,target){
	var obj1 = $('select[name='+source+']');
	var obj2 = $('select[name='+target+']');
	var opt1 = obj1.children('option:selected');
	if(opt1.length > 0){
		var option = '';
		opt1.each(function(){
			option += "<option value=\""+$(this).val()+"\">"+$(this).html()+"</option>\n";
		});
		obj2.append(option);
		opt1.remove();
	}else{
		alert(obj1.attr('lang'));
	}
}

function saveOnekey(obj){
	var data = {};
	saveStat(obj);
	var usbAlert = $('[name=usbAlert]').val().split('|');
	var backmethod = $('[name=backmethod]:checked').val();
	var usbpath = $('[name=usbpath]').val();
	if(usbpath == ''){
		alert(usbAlert[1]); removeStat(obj); return false;
	}else{
		data.usbpath = usbpath;
	}
	data.setbakconfig = 2; data.backmethod = backmethod;
	switch(backmethod){
		case "0":
			break;
		case "1":
			var sharedir = $('[name=sharedir_1]').val();
			var copy_type = $('[name=copy_type_1]').val();
			var sparse = $('[name=sparse_1]').val();
			break;
		case "2":
			var sharedir = $('[name=sharedir_2]').val();
			var copy_type = $('[name=copy_type_2]').val();
			var sparse = $('[name=sparse_2]').val();
			break;
	}
	if(backmethod > 0){
		data.sharedir = sharedir; data.copy_type = copy_type; data.sparse = sparse;
	}
	$.ajax({
		type:	'POST',
		url:	'/include/ajax/ajaxdata.php',
		data:	data,
		success:function(rel){			
			removeStat(obj);
			alert(usbAlert[0]); window.location.reload();
		}
	});
}

function getbakstat(){	
	$.post('/include/ajax/ajaxdata.php', {'setbakconfig':4}, function(rel){
		showstat(rel.status,'#bakstat',rel.precent);
		showstat(rel.laststatus,'#lastResult');
		if(rel.begintime && rel.endtime){
			$('#lastTime').html(rel.begintime +' ~~ '+rel.endtime);
		}else{
			$('#lastTime').html('------');
		}
		Timer = setTimeout('getbakstat()',1000);
	},'json');
}

function showstat(v,obj,precent){
	var statTEXT = $('[name=statTEXT]').val().split('|');
	switch(parseInt(v)){
		case 0:
			$(obj).html(statTEXT[0]);
			break;
		case 1:
			$(obj).html(statTEXT[1]+precent);
			break;
		case 2:
			$(obj).html(statTEXT[2]);
			break;
		case 3:
			$(obj).html(statTEXT[3]);
			break;
		default:
			$(obj).html('------');
	}
}

function saveBakusb(obj){
	var data = {};
	var target = $('select[name=target]');
	var opts = target.children('option');
	var FileSystem = $('[name=FileSystem]').val();
	var bakusbname = $('select[name=dev_list]');
	var backup_type = $('select[name=backup_type]').val();
	var copy_option = $('select[name=copy_option]').val();
	data.setbakconfig = 1;	
	data.backuptype = backup_type;
	data.copyoption = copy_option;
	if(bakusbname.children('option').length < 1){
		var tips = $('#usbinfo').html();
		alert(tips);inputError(bakusbname,1);return false;
	}else{
		inputError(bakusbname,0);
		data.bakusbname = bakusbname.val();
	}
	if(opts.size() < 1){
		inputError(target,1);return false;
	}else{
		var tar = new Array();
		inputError(target,0);
		opts.each(function(){ tar.push($(this).val()) });
		data.baktarget = tar.join(',');
	}
	if(backup_type == 2){
		var weekday = new Array();
		var weekobj = $('input[name=weekday]:checked');
		var hour = $('select[name=hour]').val();
		var minute = $('select[name=minute]').val();
		weekobj.each(function(){
			weekday.push($(this).val());
		});
		data.weekdays = minute+' '+hour+' * * '+weekday.join(',');
	}
	if(copy_option == 2){
		var spobj = $('input[name=sparse]').attr('checked');
		if(spobj){ data.sparse = 3; }
	}
	saveStat(obj);
	$(obj).unbind('click');
	$.ajax({
		type:"POST",
		url:"/include/ajax/ajaxdata.php",
		data:data,
		success:function(rel){
			removeStat(obj);
			$(obj).unbind('click').click(function(){
				saveBakusb(this);
			});
		}
	});
}

