// JavaScript Document
function EnModiry(){
	var defaultadmin = $('[name=defaultadmin]').attr('checked');
	if(defaultadmin){
		$('[name$=password]').attr('disabled','disabled');
	}else{
		$('[name$=password]').removeAttr('disabled');
	}
}

function Forward(key){
	if(key >1){
		window.location.href = '?step='+(key-1);
	}
}

function repos(obj, pos){
	var _li = $(obj).children("li");
	var W = $(obj).width();
	var S = (W-23)/(_li.length-1);
	_li.each(function(i){
		if(i == (pos-1)){
			$(this).attr("class","on");
		}else if(i < (pos-1)){
			$(this).attr("class","complete");
		}else{
			$(this).removeClass();
		}
        $(this).css("left", S*i);
    });
}

function saveStep2(){
	var data = [];
	var hostname = $('[name=hostname]');
	var duser = $('[name=defaultadmin]').attr('checked');
	if(hostname.val() == ""){
		inputError(hostname,1); return hostname.focus();
	}else{
		inputError(hostname,0); data.push('hostname='+hostname.val());
	}
	if(!duser){
		data.push('defaultadmin=1');
		var password = $('[name=password]');
		var repassword = $('[name=repassword]');
		if(password.val() == ''){
			inputError(password,1); return password.focus();
		}else if(password.val() != repassword.val()){
			inputError(password,0); inputError(repassword,1); return repassword.focus();
		}else{
			inputError(repassword,0); data.push('password='+password.val());
		}
	}else{ data.push('defaultadmin=0'); }
	$.post('/Install/installajax.php',
	{'tab':'step2','datastr':data.join('&')},function(rel){
		window.location.href = "?step=3";
	});
}

function saveStep3(){
	var data = [];
	var timezone = $('select[name=timezone]').val();
	var settimemode = $('input[name=jjsetting]:checked').val();
	var timeformat = $('select[name=timeformat]').val();
	data.push('settimemode='+settimemode);
	data.push('timezone='+timezone);
	if(settimemode == 0){
		var year = $('#year').val(); var month = $('#month').val(); var day = $('#day').val();	
		var hour = $('select[name=hourSet]').val();
		var minute = $('select[name=minuteSet]').val();
		var second = $('select[name=secondSet]').val();
		if(timeformat == 12){
			var timemode = $('select[name=timemode]').val(); hour = parseInt(hour) + parseInt(timemode);
		}		
		data.push('time='+year+'-'+month+'-'+day+' '+hour+':'+minute+':'+second);
	}else{
		var timeserver = $('input[name=timeserver]');
		var timespace = $('input[name=timespace]').val();
		if(timeserver.val() == ''){
			inputError(timeserver,1);return timeserver.focus();
		}else{inputError(timeserver,0);data.push('timeserver='+timeserver.val());}
		if(timespace == ''){ timespace = 60; }
		data.push('timespace='+timespace);
	}
	$.post('/Install/installajax.php',
	{'tab':'step3','datastr':data.join('&')},function(rel){
		window.location.href = "?step=4";
	});
}

function saveStep4(){
	var data = new Array();
	var set_dev = $('[name=set_dev]').val();
	var tran_speed = $('select[name=tran_speed]').val();
	var ipadress = $('input[name=ipadress]:checked').val();
	var ip_addr = $('input[name=ip_addr]');
	var mask_addr = $('input[name=mask_addr]');
	var getway_addr = $('input[name=getway_addr]');
	var main_dns = $('input[name=main_dns]');
	var minor_dns = $('input[name=minor_dns]');
	var ip = "", mask = "", getway = "", maindns = "", minordns = "";
	var Erro = false;
	data.push('netdev='+set_dev,'tran_speed='+tran_speed,'DHCP='+ipadress);
	if(ipadress == 0){	
		ip_addr.each(function(i){
			if($(this).val() != ''){
				$(this).removeClass("erro");
				Erro = false;
				(i< ip_addr.length-1) ? ip += $(this).val()+'.' : ip += $(this).val();
			}else{
				$(this).addClass("erro").focus();
				Erro = true; return false;
			}
		});
		if(Erro){ return false; }
		mask_addr.each(function(i){
			if($(this).val() != ''){
				$(this).removeClass("erro");
				Erro = false;
				(i< mask_addr.length-1) ? mask += $(this).val()+'.' : mask += $(this).val();
			}else{
				$(this).addClass("erro").focus();
				Erro = true; return false;
			}
		});
		if(Erro){ return false; }
		getway_addr.each(function(i){
			if($(this).val() != ''){
				$(this).removeClass("erro");
				Erro = false;
			(i< getway_addr.length-1) ? getway += $(this).val()+'.' : getway += $(this).val();
			}else{
				$(this).addClass("erro").focus();
				Erro = true; return false;
			}
		});
		if(Erro){ return false; }
		//存储数据 ...
		data.push('IPADDRESS='+ip,'NETMASK='+mask,'GATEWAY='+getway);
		
		main_dns.each(function(i){
			if($(this).val() != ''){
				(i< main_dns.length-1) ? maindns += $(this).val()+'.' : maindns += $(this).val();
			}else{
				maindns = "";
				return false;
			}
		});
		minor_dns.each(function(i){
			if($(this).val() != ''){
				(i< minor_dns.length-1) ? minordns += $(this).val()+'.' : minordns += $(this).val();
			}else{
				minordns = "";
				return false;
			}
		});		
		data.push('DNS1='+maindns,'DNS2='+minordns);
	}
	$.post('/Install/installajax.php',
	{'tab':'step4','datastr':data.join('&')},function(rel){
		window.location.href = "?step=5";
	});
}

function saveStep5(){
	var data = new Array();
	var services = $('[name=service]:checked');
	services.each(function(){ data.push($(this).val()); });
	$.post('/Install/installajax.php',
	{'tab':'step5','datastr':data.join(',')},function(rel){
		window.location.href = "?step=6";
	});
}

function saveStep6(obj){
	$('#prevbtn').hide();
	$(obj).attr('class','btndis').unbind('click');
	$.post('/Install/installajax.php',
	{'tab':'initialize'},function(rel){
		$(obj).hide();
	});
}

var gcount = 0;
var gmax = 1;
function getprocess(){
	if(gcount < gmax){
		gcount++;
	}else{
		setTimeout('getprocess()', 1000);
		return false;
	}
	var ins_tips = $('[name=ins_tips]').val().split('|');
	var curwidth = $('#ins_cell').width();
	$.ajax({
		type:"POST",
		url:"/Install/installajax.php",
		dataType:"html",
		cache:false,
		data:{'tab':'process'},
		complete: function(XMLHttpRequest,textStatus){			
			var rel = eval('('+ XMLHttpRequest.responseText +')');
			if(textStatus != 'success'){
				if(rel.key != 400){
					gcount--;
					Timer = setTimeout('getprocess()',1000);
				}
				return true;
			}
			if(rel.key == '' || rel.key == null){//this is wait ...
				$('#process').empty();
				$('#ins_process, #initlog').hide().html();
				gcount--;
				Timer = setTimeout('getprocess()',1000);
			}else if(curwidth < 300 || rel.key < 100){//this is acting ...
				$('#next').hide();
				$('#process').text(ins_tips[0]);
				//
				$('#initlog').html(rel.tips);
				$('#ins_process, #initlog').show();
				if(curwidth < rel.key*3) curwidth += 10;
				if(curwidth > 300) curwidth = 300;
				$('#percent').text(Math.round(curwidth/3) + '%');
				$('#ins_cell').width(curwidth);
				gcount--;
				Timer = setTimeout('getprocess()',1000);
			}else if(rel.key == 400){//this is error process ...
				clearTimeout(Timer);
				$('#percent').text('Error!');
				//
				$('#initlog').html(rel.tips);
			}else if(rel.key == 100){//this is complete ...
				clearTimeout(Timer);
				$('#percent').text(rel.key + '%');
				//
				$('#initlog').html(rel.tips);
				$.post('/Install/installajax.php',
				{'tab':'restartNet'},function(data){
					if(data == 0){
						$('#process').text(ins_tips[1]);
					}else{
						$('#process').text(ins_tips[1]);					
						window.top.location.href = data; //跳转...
					}
				});
			}			
		}
	});
}

function checktcpip(){
	var ipadress = $('[name=ipadress]:checked').val();
	if(ipadress == 0){
		$('[name=ip_addr],[name=mask_addr],[name=getway_addr]').removeAttr('disabled');
		$('[name=main_dns],[name=minor_dns]').removeAttr('disabled');
	}else{
		$('[name=ip_addr],[name=mask_addr],[name=getway_addr]').attr('disabled','disabled');
		$('[name=main_dns],[name=minor_dns]').attr('disabled','disabled');
	}
}